While we sell the latest versions of our software to sustain our project, our code repository contains older versions of some of our code along with code we’ve ported to PHP from other languages for use in our tools.

We recently updated the repository. Here’s what’s new:

PHP Readability

PHP Readability is a library which detects and extracts the content block (article text) from a given HTML document. It is a PHP port of the original Readability code developed by Arc90.

In Full-Text RSS 3.1, we updated PHP Readability to preserve more images and YouTube, Vimeo and Viddler embeds. This update is now available to download.

We’ve also made it compatible with Composer by adding a composer.json file to the package and listed it on Packagist. See below for an example of how you can use this in a new project with Composer.

Term Extractor

Term Extractor is a library used to extract terms from English language texts. It is a PHP port of Topia’s Term Extractor.

Term Extractor is now also compatible with Composer and listed in Packagist. See below for an example of how to use this with Composer.

To use Term Extractor as a web service, we sell a self-hosted package - useful if you’d like to switch away from relying on Yahoo’s Term Extractor.

Full-Text RSS 2.9.5

Version 2.9.5, which was released 2012-04-29, is now freely available. The previous version in our code repository was 2.8 (released 2011-05-30). Here’s the changelog.

This does not contain the site config files we include with purchased copies, but these are now all available online. If you’d like to keep yours up to date using Git, follow the steps below:

  1. Change into the site_config/standard/ folder
  2. Delete everything in there
  3. Using the command line, enter:
    git clone https://github.com/fivefilters/ftr-site-config.git .
  4. Git should now download the latest site config files for you.

To update the site config files again, you can simply run git pull from the directory.

If you find Full-Text RSS useful, there are some nice changes in 3.0 and 3.1 which you might want to consider - if you’re not already a customer. :)

Using PHP Readability and Term Extractor with Composer

  1. Install Composer if you haven’t already.
  2. At the root of your project, create a file called composer.json (or update it) with the following content:
    {
        "require": {
            "fivefilters/php-readability": "1.0.*",
    	"fivefilters/term-extractor": "1.0.*"
        }
    }
  3. From the command line, run composer install (or composer update if your project already uses Composer).
  4. The new files should be downloaded into the vendor folder and ready to use.